Last modified: 2009-07-25 21:10:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19863 - Add Media Wizard should list local wiki files as well as remote sources
Add Media Wizard should list local wiki files as well as remote sources
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MetaVidWiki (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Michael Dale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-21 15:58 UTC by Jan Gerber
Modified: 2009-07-25 21:10 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jan Gerber 2009-07-21 15:58:01 UTC
right now only remove resources are available in the add media wizard.
media from the local wiki should also be available.
what about adding a Local tab before the Wikimedia Commons one.
Comment 1 Brion Vibber 2009-07-21 16:01:06 UTC
(Clarified summary)
Comment 2 Michael Dale 2009-07-24 22:53:46 UTC
fixed in 53731

In the near future we will want better control over the set of repositories being searched and imported from. This control should feature both cookie based client side repository selection (add, remove, re-order) and server side mediaWiki page based configuration ( a json config option that sets the default set of repositories in general and ~perhaps~ default repositories per high-level categories of the page your editing. 
Comment 3 Jan Gerber 2009-07-25 15:05:47 UTC
Local Videos should not be copied inserting them with add media wizzard.

Importing Local resource as anonyomous user,
you get an error message after selecting a resource from the results:

This User or Wiki can not import assets from remote URLs.

Do you need to Login?

If permissions are set you may have to enable $wgAllowCopyUploads, more info
Comment 4 Michael Dale 2009-07-25 18:20:48 UTC
maybe it defaulted to "commons" tab which displays that msg? If you click on the "this wiki" tab. Then it should let you insert the local resource as an anonymous user. I agree having it default to the local wiki is probably a good idea. Or maybe do a combined search results as default.
Comment 5 Jan Gerber 2009-07-25 18:34:16 UTC
i see that message on the commons tab too,

however on the "this wiki" tab i can search,
but once i select a video i get that message.
Comment 6 Jan Gerber 2009-07-25 21:10:17 UTC
ok fixed in svn

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links